@use '@angular/material' as mat;
@import "../override/material-override";
@import "../override/dark-mode-override";
@import "../override/light-mode-override";
// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/

// Test : https://material.io/tools/color/#!/?view.left=0&view.right=0&primary.color=a2c252&secondary.color=9E9E9E&primary.text.color=FAFAFA&secondary.text.color=f9f9f9

$mat-ulb-primary: (
    50 : #e0eaf2,
    100 : #b3c9df,
    200 : #80a6c9,
    300 : #4d82b3,
    400 : #2667a3,
    500 : #004c93,
    600 : #00458b,
    700 : #003c80,
    800 : #6085B2,
    900 : #002464,
    950 : #004c93,
    A100 : #94b0ff,
    A200 : #618aff,
    A400 : #2e65ff,
    A700 : #1452ff,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        950 : #ffffff,
        1000 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

$mat-ulb-accent: (
    50 : #fafafa,
    100 : #f5f5f5,
    200 : #eeeeee,
    300 : #e0e0e0,
    400 : #bdbdbd,
    500 : #9e9e9e,
    600 : #757575,
    700 : #616161,
    800 : #564242,
    900 : #212121,
    A100 : #ffffff,
    A200 : #000000,
    A400 : #303030,
    A700 : #616161,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #ffffff,
        A400 : #ffffff,
        A700 : #ffffff,
    )
);


$primary: mat.m2-define-palette($mat-ulb-primary, 950);
$accent: mat.m2-define-palette($mat-ulb-accent, A100, A100, A100);
$warn: mat.m2-define-palette(mat.$m2-red-palette);

$ulb-theme: mat.m2-define-light-theme(
        $primary,
        $accent,
        $warn
);

$ulb-dark-theme: mat.m2-define-dark-theme(
        $primary,
        $accent,
        $warn
);

@include isInTheme($theme-name-ulb, true) {
  --primary-color: #{map-get($mat-ulb-primary, 950)};
  --primary-color-lighter: #{map-get($mat-ulb-primary, 800)};
  --text-color-in-primary: #ffffff;

  @include mat.all-component-themes($ulb-theme);

  &:not([dark-mode='true']) {
    @include dlcm-material-override;
    @include dlcm-light-mode-override;
  }

  &[dark-mode='true'] {
    @include mat.all-component-colors($ulb-dark-theme);
    @include dlcm-material-override;
    @include dlcm-dark-mode-override;
  }
}
